Bug 102447 - new port: x11/libxcb, X protocol C-language Binding (XCB) library
Summary: new port: x11/libxcb, X protocol C-language Binding (XCB) library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-23 21:30 UTC by Ashish Shukla
Modified: 2006-10-08 17:20 UTC (History)
0 users

See Also:


Attachments
file.shar (7.08 KB, text/plain)
2006-08-23 21:30 UTC, Ashish Shukla
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ashish Shukla 2006-08-23 21:30:23 UTC
The X protocol C-language Binding (XCB) is a replacement for Xlib  featuring a small footprint, latency hiding, direct access to the protocol, improved threading support, and extensibility. For those who want to try out XCB, here is the port for FreeBSD corresponding to "libxcb" distfile.
Comment 1 Alejandro Pulver freebsd_committer 2006-10-05 17:44:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

Take PR.
Comment 2 Alejandro Pulver freebsd_committer 2006-10-08 17:13:46 UTC
State Changed
From-To: open->closed

New port added with a few modifications (update), thanks!
Comment 3 dfilter service freebsd_committer 2006-10-08 17:14:59 UTC
alepulver    2006-10-08 16:14:52 UTC

  FreeBSD ports repository

  Modified files:
    x11                  Makefile 
  Added files:
    x11/libxcb           Makefile distinfo pkg-descr pkg-plist 
    x11/libxcb/files     patch-src-xcb_util.c 
                         patch-tests-check_public.c 
                         patch-xcb.pc.in 
  Log:
  The X protocol C-language Binding (XCB) is a replacement for Xlib
  featuring a small footprint, latency hiding, direct access to the
  protocol, improved threading support, and extensibility.
  
  WWW: http://xcb.freedesktop.org/
  
  - Ashish Shukla
  wahjava@gmail.com
  
  PR:             ports/102447
  Submitted by:   Ashish Shukla <wahjava at gmail.com>
  
  Revision  Changes    Path
  1.625     +1 -0      ports/x11/Makefile
  1.1       +49 -0     ports/x11/libxcb/Makefile (new)
  1.1       +3 -0      ports/x11/libxcb/distinfo (new)
  1.1       +10 -0     ports/x11/libxcb/files/patch-src-xcb_util.c (new)
  1.1       +11 -0     ports/x11/libxcb/files/patch-tests-check_public.c (new)
  1.1       +10 -0     ports/x11/libxcb/files/patch-xcb.pc.in (new)
  1.1       +8 -0      ports/x11/libxcb/pkg-descr (new)
  1.1       +131 -0    ports/x11/libxcb/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"